Delete a JSON credentials configuration
Roles
Analytics Events
/v2/credentials/web-semantic/configurations/{id}Deletes an existing JSON credentials configuration by providing its ID.
Analytic events
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_START
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
JSON credentials configuration unique identifier
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "NotFound",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Resource Not Found",
"param": "id",
"value": "638c5634-fb06-403a-bb00-ddb867ea9063"
}
]
}How would you rate this page?
Update a JSON credentials configuration PUT
Updates an existing JSON credentials configuration by providing its ID. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_START * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_FAIL
Create an mDocs configuration POST
Creates a new mDocs configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued. ### **Analytic events** * MOBILE_CREDENTIAL_CONFIGURATION_CREATE_START * MOBILE_CREDENTIAL_CONFIGURATION_CREATE_SUCCESS * MOBILE_CREDENTIAL_CONFIGURATION_CREATE_FAIL